ChartDataSet (Javadocs: controlP5)

controlP5

## Class ChartDataSet

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<ChartData>
      - - controlP5.ChartDataSet

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<ChartData>, java.util.Collection<ChartData>, java.util.List<ChartData>, java.util.RandomAccess

      public class ChartDataSet
      extends java.util.ArrayList<ChartData>

  Used by Chart, a chart data set is a container to store chart data.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChartDataSet(java.lang.String theName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CColor` | `getColor()`
    `int` | `getColor(int theIndex)`
    `int[]` | `getColors()`
    `float` | `getStrokeWeight()`
    `float[]` | `getValues()`
    `ChartDataSet` | `setColors(int... theColors)`
    `ChartDataSet` | `setStrokeWeight(float theStrokeWeight)`

    - ### Methods inherited from class java.util.ArrayList

      `add, add, addAll, addAll, clear, clone, contains, ensureCapacity, forEach, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractList

      `equals, hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `containsAll, equals, hashCode`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

- - ### Constructor Detail

    - #### ChartDataSet

          public ChartDataSet(java.lang.String theName)

  - ### Method Detail

    - #### getColor

          public CColor getColor()

    - #### getColor

          public int getColor(int theIndex)

    - #### getColors

          public int[] getColors()

    - #### getStrokeWeight

          public float getStrokeWeight()

    - #### getValues

          public float[] getValues()

    - #### setColors

          public ChartDataSet setColors(int... theColors)

    - #### setStrokeWeight

          public ChartDataSet setStrokeWeight(float theStrokeWeight)

processing library controlP5 by Andreas Schlegel. (c) 2006-2015